    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.zip.InflaterInputStream

    java.lang.Object
       |
       +----java.io.InputStream
               |
               +----java.io.FilterInputStream
                       |
                       +----java.util.zip.InflaterInputStream

public class InflaterInputStream
extends FilterInputStream

This class implements a stream filter for uncompressing data in the "deflate" compression format. It is also used as the basis for other decompression filters, such as GZIPInputStream.

See Also:
  Inflater

##

buf
  Input buffer for decompression.
inf
  Decompressor for this stream.
len
  Length of input buffer.

##

InflaterInputStream(InputStream)
  Creates a new input stream with a default decompressor and buffer size.
InflaterInputStream(InputStream, Inflater)
  Creates a new input stream with the specified decompressor and a default buffer size.
InflaterInputStream(InputStream, Inflater, int)
  Creates a new input stream with the specified decompressor and buffer size.

##

fill()
  Fills input buffer with more data to decompress.
read()
  Reads a byte of uncompressed data.
read(byte[], int, int)
  Reads uncompressed data into an array of bytes.
skip(long)
  Skips specified number of bytes of uncompressed data.

##

inf

     protected Inflater inf

  Decompressor for this stream.

buf

     protected byte buf[]

  Input buffer for decompression.

len

     protected int len

  Length of input buffer.

##

InflaterInputStream

     public InflaterInputStream(InputStream in,
                                Inflater inf,
                                int size)

  Creates a new input stream with the specified decompressor and buffer size.

  Parameters:
    in - the input stream
    inf - the decompressor ("inflater")
    size - the input buffer size

InflaterInputStream

     public InflaterInputStream(InputStream in,
                                Inflater inf)

  Creates a new input stream with the specified decompressor and a default buffer size.

  Parameters:
    in - the input stream
    inf - the decompressor ("inflater")

InflaterInputStream

     public InflaterInputStream(InputStream in)

  Creates a new input stream with a default decompressor and buffer size.

##

read

     public int read() throws IOException

  Reads a byte of uncompressed data. This method will block until enough input is available for decompression.

  Returns:
    the byte read, or -1 if end of compressed input is reached
  Throws: IOException
    if an I/O error has occurred
  Overrides:
    read in class FilterInputStream

read

     public int read(byte b[],
                     int off,
                     int len) throws IOException

  Reads uncompressed data into an array of bytes. This method will block until some input can be decompressed.

  Parameters:
    b - the buffer into which the data is read
    off - the start offset of the data
    len - the maximum number of bytes read
  Returns:
    the actual number of bytes read, or -1 if the end of the compressed input is reached or a preset dictionary is needed
  Throws: ZipException
    if a ZIP format error has occurred
  Throws: IOException
    if an I/O error has occurred
  Overrides:
    read in class FilterInputStream

skip

     public long skip(long n) throws IOException

  Skips specified number of bytes of uncompressed data.

  Parameters:
    n - the number of bytes to skip
  Returns:
    the actual number of bytes skipped.
  Throws: IOException
    if an I/O error has occurred
  Overrides:
    skip in class FilterInputStream

fill

     protected void fill() throws IOException

  Fills input buffer with more data to decompress.

  Throws: IOException
    if an I/O error has occurred

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.